%define url_ver	%{lua: ver = rpm.expand("%{version}"); majmin, count1 = string.gsub(ver, "^([0123456789]+%.[0123456789]+).*", "%1", 1); if count1 == 0 then print(ver); return; end; maj, count2 = string.gsub(majmin, "^([0123456789]+).*", "%1", 1); if count2 == 0 then print(majmin) elseif tonumber(majmin) < 40 then print(majmin) else print(maj) end}

Name:		bijiben
Version:	40.1
Release:	%mkrel 3
Summary:	Simple Note Viewer
License:	GPLv2+
Group:		Graphical desktop/GNOME
Url:		https://wiki.gnome.org/Bijiben
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
Patch:		0001-meson-fix-build-with-meson-0.61.patch
Patch:		0001-build-Bump-dependency-on-evolution-data-server.patch
BuildRequires:	pkgconfig(evolution-calendar-3.0)
BuildRequires:	pkgconfig(evolution-data-server-1.2)
BuildRequires:	pkgconfig(glib-2.0)
BuildRequires:	pkgconfig(gio-2.0)
BuildRequires:	pkgconfig(gtk+-3.0)
BuildRequires:	pkgconfig(tracker-sparql-3.0)
BuildRequires:	pkgconfig(clutter-gtk-1.0)
BuildRequires:	pkgconfig(libhandy-1)
BuildRequires:	pkgconfig(libecal-2.0)
BuildRequires:	pkgconfig(libedataserverui-1.2)
BuildRequires:	pkgconfig(libxml-2.0)
BuildRequires:	pkgconfig(zeitgeist-2.0)
BuildRequires:	pkgconfig(goa-1.0)
BuildRequires:	pkgconfig(webkit2gtk-4.1)
BuildRequires:	itstool
BuildRequires:	libxml2-utils
BuildRequires:	meson

%description
Simple note editor which emphasis on visuals : quickly write
notes, quickly find it back.

%prep
%autosetup -p1

%build
%meson -Dupdate_mimedb=false
%meson_build

%install
%meson_install

rm -f %{buildroot}%{_prefix}/doc/%{name}/*

%find_lang %{name} --with-gnome

%check
%meson_test

%files -f %{name}.lang
%doc NEWS AUTHORS COPYING README.md
%{_bindir}/%{name}
%{_datadir}/metainfo/org.gnome.Notes.appdata.xml
%{_datadir}/applications/org.gnome.Notes.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.Notes.gschema.xml
%{_datadir}/gnome-shell/search-providers/org.gnome.Notes-search-provider.ini
%{_iconsdir}/*/*/*/org.gnome.Notes*.*
%{_datadir}/mime/packages/org.gnome.Notes.xml
%{_datadir}/%{name}/
%{_libexecdir}/%{name}-shell-search-provider
%{_datadir}/dbus-1/services/org.gnome.Notes.SearchProvider.service


%changelog
* Mon Sep 19 2022 wally <wally> 40.1-3.mga9
+ Revision: 1890572
- build against webkit2gtk-4.1

* Sun Apr 03 2022 umeabot <umeabot> 40.1-2.mga9
+ Revision: 1842411
- Mageia 9 Mass Rebuild

* Wed May 05 2021 ovitters <ovitters> 40.1-1.mga9
+ Revision: 1721528
- new version 40.1

* Sat Mar 27 2021 ovitters <ovitters> 40.0-4.mga9
+ Revision: 1711110
- rebuild for evolution-data-server

* Wed Mar 24 2021 ovitters <ovitters> 40.0-3.mga9
+ Revision: 1709615
- new version 40.0

* Sat Jan 23 2021 tmb <tmb> 3.38.0-3.mga8
+ Revision: 1673099
- rebuild for new libical

* Sun Nov 08 2020 wally <wally> 3.38.0-2.mga8
+ Revision: 1643641
- add patch from usptream merge request to port to libhandy-1

* Sun Sep 20 2020 ovitters <ovitters> 3.38.0-1.mga8
+ Revision: 1629008
- new version 3.38.0

* Sat Sep 12 2020 ovitters <ovitters> 3.37.92-1.mga8
+ Revision: 1624957
- new version 3.37.92

* Fri Aug 28 2020 ovitters <ovitters> 3.37.91-1.mga8
+ Revision: 1619306
- new version 3.37.91

* Thu Aug 13 2020 ovitters <ovitters> 3.37.90-1.mga8
+ Revision: 1613853
- new version 3.37.90

* Thu Aug 13 2020 ovitters <ovitters> 3.37.1-2.mga8
+ Revision: 1613754
- rebuild for evolution-data-server

* Wed Jun 10 2020 ovitters <ovitters> 3.37.1-1.mga8
+ Revision: 1591707
- new version 3.37.1

* Sun Apr 05 2020 ovitters <ovitters> 3.36.1-1.mga8
+ Revision: 1565004
- new version 3.36.1

* Sat Mar 07 2020 ovitters <ovitters> 3.36.0-1.mga8
+ Revision: 1554537
- new version 3.36.0

* Thu Mar 05 2020 ovitters <ovitters> 3.35.92-1.mga8
+ Revision: 1553869
- new version 3.35.92

* Wed Mar 04 2020 ovitters <ovitters> 3.35.91-1.mga8
+ Revision: 1553743
- new version 3.35.91

* Wed Feb 19 2020 umeabot <umeabot> 3.34.2-2.mga8
+ Revision: 1542571
- Mageia 8 Mass Rebuild

* Mon Jan 06 2020 ovitters <ovitters> 3.34.2-1.mga8
+ Revision: 1476796
- new version 3.34.2

* Mon Oct 14 2019 ovitters <ovitters> 3.34.1-1.mga8
+ Revision: 1453122
- new version 3.34.1

* Tue Sep 10 2019 ovitters <ovitters> 3.34.0-1.mga8
+ Revision: 1439390
- new version 3.34.0

* Wed Sep 04 2019 tv <tv> 3.33.92-1.mga8
+ Revision: 1436888
- fix file list
+ ovitters <ovitters>
- new version 3.33.92
- dropped merged patch bijiben-eds-libecal-2.0.patch

* Tue Aug 20 2019 daviddavid <daviddavid> 3.32.2-3.mga8
+ Revision: 1430651
- add patch to build against newer evolution-data-server (libecal-2.0)
+ tv <tv>
- rebuild with latest libecal

* Fri Jul 19 2019 ovitters <ovitters> 3.32.2-1.mga8
+ Revision: 1422672
- new version 3.32.2

* Wed Apr 17 2019 umeabot <umeabot> 3.32.1-2.mga7
+ Revision: 1392120
- Rebuild with meson 0.50.1

* Wed Apr 10 2019 ovitters <ovitters> 3.32.1-1.mga7
+ Revision: 1387812
- new version 3.32.1

* Wed Mar 13 2019 ovitters <ovitters> 3.32.0-1.mga7
+ Revision: 1375853
- new version 3.32.0

* Sun Mar 10 2019 daviddavid <daviddavid> 3.31.92-2.mga7
+ Revision: 1373675
- switch to webkit2gtk-4.0

* Thu Mar 07 2019 ovitters <ovitters> 3.31.92-1.mga7
+ Revision: 1372313
- new version 3.31.92

* Fri Nov 16 2018 ovitters <ovitters> 3.30.3-1.mga7
+ Revision: 1330248
- new version 3.30.3

* Sun Oct 21 2018 ovitters <ovitters> 3.30.2-1.mga7
+ Revision: 1323250
- new version 3.30.2

* Mon Sep 24 2018 ovitters <ovitters> 3.30.1-1.mga7
+ Revision: 1303664
- new version 3.30.1

* Fri Sep 21 2018 umeabot <umeabot> 3.30.0-2.mga7
+ Revision: 1295419
- Mageia 7 Mass Rebuild

* Mon Sep 03 2018 daviddavid <daviddavid> 3.30.0-1.mga7
+ Revision: 1256777
- new version 3.30.0

* Wed May 09 2018 ovitters <ovitters> 3.29.1.1-1.mga7
+ Revision: 1227947
- new version 3.29.1.1

* Tue Apr 10 2018 ovitters <ovitters> 3.28.1-1.mga7
+ Revision: 1216894
- new version 3.28.1
+ kekepower <kekepower>
- Rebuild for new libical

* Mon Mar 05 2018 ovitters <ovitters> 3.28.0-1.mga7
+ Revision: 1206705
- new version 3.28.0

* Tue Feb 20 2018 ovitters <ovitters> 3.27.90-2.mga7
+ Revision: 1203679
- rebuild for new libedataserver

* Thu Feb 08 2018 ovitters <ovitters> 3.27.90-1.mga7
+ Revision: 1199678
- new version 3.27.90

* Wed Jan 17 2018 ovitters <ovitters> 3.27.4-1.mga7
+ Revision: 1194219
- new version 3.27.4
- new version 3.26.2

* Sun Oct 01 2017 ovitters <ovitters> 3.26.1-1.mga7
+ Revision: 1162343
- new version 3.26.1

* Fri Sep 22 2017 tv <tv> 3.26.0-1.mga7
+ Revision: 1157047
- new release
- build against tracker-sparql-2.0

* Mon Sep 11 2017 ovitters <ovitters> 3.24.2-1.mga7
+ Revision: 1152966
- new version 3.24.2

* Tue Aug 22 2017 ovitters <ovitters> 3.24.1-1.mga7
+ Revision: 1143235
- new version 3.24.1
- new version 3.24.0

* Wed Sep 28 2016 ovitters <ovitters> 3.21.2-3.mga6
+ Revision: 1057459
- rebuild to pay tribute to new evolution-data-server

* Sun Sep 18 2016 ovitters <ovitters> 3.21.2-1.mga6
+ Revision: 1053871
- new version 3.21.2

* Mon May 09 2016 ovitters <ovitters> 3.20.2-1.mga6
+ Revision: 1011763
- new version 3.20.2

* Mon Mar 21 2016 ovitters <ovitters> 3.20.0-1.mga6
+ Revision: 993796
- new version 3.20.0
+ luigiwalser <luigiwalser>
- because of evolution-devel, bijiben is still linking to webkit1

* Wed Mar 16 2016 luigiwalser <luigiwalser> 3.19.92-2.mga6
+ Revision: 992134
- try building with webkit2

* Sat Mar 12 2016 ovitters <ovitters> 3.19.92-1.mga6
+ Revision: 989685
- new version 3.19.92

* Tue Feb 16 2016 ovitters <ovitters> 3.19.90-1.mga6
+ Revision: 962528
- new version 3.19.90

* Sun Jan 31 2016 ovitters <ovitters> 3.19.4.1-1.mga6
+ Revision: 929566
- new version 3.19.4.1

* Mon Jan 25 2016 luigiwalser <luigiwalser> 3.19.4-2.mga6
+ Revision: 927277
- rebuild for libical

* Mon Jan 18 2016 ovitters <ovitters> 3.19.4-1.mga6
+ Revision: 925598
- new version 3.19.4

* Sun Dec 13 2015 ovitters <ovitters> 3.19.3-1.mga6
+ Revision: 910243
- new version 3.19.3

* Mon Nov 23 2015 ovitters <ovitters> 3.19.1-1.mga6
+ Revision: 905164
- new version 3.19.1

* Sun Nov 08 2015 ovitters <ovitters> 3.18.2-1.mga6
+ Revision: 899206
- new version 3.18.2

* Mon Oct 12 2015 ovitters <ovitters> 3.18.1-1.mga6
+ Revision: 890137
- new version 3.18.1

* Thu Sep 24 2015 tv <tv> 3.18.0-1.mga6
+ Revision: 883083
- new release

* Mon Sep 14 2015 ovitters <ovitters> 3.17.92-1.mga6
+ Revision: 879392
- new version 3.17.92

* Mon Aug 31 2015 ovitters <ovitters> 3.17.91-1.mga6
+ Revision: 871686
- new version 3.17.91

* Fri Aug 28 2015 fwang <fwang> 3.17.90-2.mga6
+ Revision: 870628
- rebuild for new evo

* Tue Aug 18 2015 ovitters <ovitters> 3.17.90-1.mga6
+ Revision: 865710
- new version 3.17.90

* Wed Feb 18 2015 luigiwalser <luigiwalser> 3.14.2-2.mga5
+ Revision: 815733
- add patch to adapt to new evolution-data-server api
- rebuild for evolution-data-server

* Tue Nov 11 2014 ovitters <ovitters> 3.14.2-1.mga5
+ Revision: 796285
- new version 3.14.2

* Wed Oct 15 2014 umeabot <umeabot> 3.14.1-2.mga5
+ Revision: 744066
- Second Mageia 5 Mass Rebuild

* Mon Oct 13 2014 ovitters <ovitters> 3.14.1-1.mga5
+ Revision: 738330
- new version 3.14.1

* Sun Sep 28 2014 wally <wally> 3.14.0-1.mga5
+ Revision: 731387
- new version 3.14.0

* Tue Sep 16 2014 umeabot <umeabot> 3.13.92-2.mga5
+ Revision: 678150
- Mageia 5 Mass Rebuild

* Tue Sep 16 2014 ovitters <ovitters> 3.13.92-1.mga5
+ Revision: 676944
- new version 3.13.92

* Mon Sep 01 2014 ovitters <ovitters> 3.13.91-1.mga5
+ Revision: 670791
- new version 3.13.91

* Tue Aug 19 2014 ovitters <ovitters> 3.13.90-1.mga5
+ Revision: 665378
- new version 3.13.90

* Wed Jul 30 2014 pterjan <pterjan> 3.13.4-2.mga5
+ Revision: 658269
- Rebuild for new evolution-data-server

* Mon Jul 21 2014 ovitters <ovitters> 3.13.4-1.mga5
+ Revision: 655300
- new version 3.13.4

* Mon Jun 23 2014 ovitters <ovitters> 3.13.3-1.mga5
+ Revision: 639071
- new version 3.13.3

* Wed May 28 2014 fwang <fwang> 3.13.2-1.mga5
+ Revision: 627132
- update br
+ ovitters <ovitters>
- new version 3.13.2

* Mon May 12 2014 ovitters <ovitters> 3.12.2-1.mga5
+ Revision: 622378
- new version 3.12.2

* Mon Mar 24 2014 ovitters <ovitters> 3.12.0-1.mga5
+ Revision: 608098
- new version 3.12.0

* Tue Mar 18 2014 ovitters <ovitters> 3.11.92-1.mga5
+ Revision: 604647
- new version 3.11.92

* Mon Mar 03 2014 ovitters <ovitters> 3.11.91-1.mga5
+ Revision: 599183
- new version 3.11.91

* Wed Feb 19 2014 dams <dams> 3.11.90-2.mga5
+ Revision: 594765
- rebuild for new tracker

* Tue Feb 18 2014 ovitters <ovitters> 3.11.90-1.mga5
+ Revision: 594088
- new version 3.11.90

* Thu Feb 06 2014 ovitters <ovitters> 3.11.5-1.mga5
+ Revision: 583961
- new version 3.11.5

* Mon Nov 11 2013 ovitters <ovitters> 3.10.2-1.mga4
+ Revision: 550626
- new version 3.10.2

* Tue Oct 22 2013 umeabot <umeabot> 3.10.1-2.mga4
+ Revision: 542067
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 fwang <fwang> 3.10.1-1.mga4
+ Revision: 496849
- fix str fmt
+ ovitters <ovitters>
- new version 3.10.1
- dropped merged patch 1

* Mon Sep 23 2013 ovitters <ovitters> 3.10.0-1.mga4
+ Revision: 484518
- fix po files
- new version 3.10.0
+ fwang <fwang>
- update url

* Tue Sep 03 2013 fwang <fwang> 3.9.91-1.mga4
+ Revision: 474555
- update file list
+ ovitters <ovitters>
- new version 3.9.91

* Mon Aug 19 2013 ovitters <ovitters> 3.9.90-1.mga4
+ Revision: 467579
- new version 3.9.90

* Tue Jul 30 2013 dams <dams> 3.9.5-1.mga4
+ Revision: 460776
- uses --disable-update-mimedb for now
- updates %%files
+ ovitters <ovitters>
- new version 3.9.5

* Fri Jul 26 2013 dams <dams> 3.9.4-1.mga4
+ Revision: 458188
- new version 3.9.4
- update BR (zeitgeist-2.0)
- add BR (goa-1.0)
- update %%files

* Wed Jun 19 2013 ovitters <ovitters> 3.8.3-1.mga4
+ Revision: 445165
- new version 3.8.3

* Sat May 25 2013 ovitters <ovitters> 3.8.2-1.mga4
+ Revision: 427474
- update file list
- update br
- new version 3.8.2
- new version 3.7.90
- new version 3.7.5

* Mon Jan 14 2013 ovitters <ovitters> 3.7.4-1.mga3
+ Revision: 380345
- new version 3.7.4

* Fri Jan 11 2013 umeabot <umeabot> 3.7.3-2.mga3
+ Revision: 346902
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Dec 17 2012 ovitters <ovitters> 3.7.3-1.mga3
+ Revision: 331967
- add patch to fix sl translation
- br libxml2-util
- br itstool
- drop merged patch
- package help files
- remove packaging workaround
- new version 3.7.3

* Thu Nov 22 2012 ovitters <ovitters> 3.7.2-1.mga3
+ Revision: 321046
- br gnome-doc-utils
- imported package bijiben

